# Gimp.PlugIn.add_menu_branch

    @accepts(Gimp.PlugIn, unicode, unicode)
    @returns(none)
    def add_menu_branch(self, menu_path, menu_label):
        # Python wrapper for gimp_plug_in_add_menu_branch()

Add a new sub-menu to the GIMP menus.

This function installs a sub-menu which does not belong to any procedure at the location menu_path.

For translations of menu_label to work properly, menu_label should only be marked for translation but passed to this function untranslated, for example using N_("Submenu"). GIMP will look up the translation in the textdomain registered for the plug-in.

See also: Gimp.Procedure.add_menu_path.

Since 3.0

self

  A Gimp.PlugIn

menu_path

  The sub-menu's menu path.

menu_label

  The menu label of the sub-menu.